[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TDelphiReader.ReadStr

Overrides the standard ReadStr method

## Declaration

Source position: streamex.pp line 65

`public function TDelphiReader.ReadStr: string;`

## Function result

String read from stream

## Description

ReadStr makes sure the TBidirBinaryObjectReader methods are used, to store additional information about the stream position when reading the strings.

## See also

TBidirBinaryObjectReader |  | Binary component stream reader with BiDi support